Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::G::Quark Class Reference

A GQuark C++ wrapper interface. More...

`#include <inti/glib/quark.h>`

Inheritance diagram for Inti::G::Quark:

List of all members.

## Public Member Functions

Constructors

- Quark (const char *str)
    Construct a Quark from a string.
- Quark (const String &str)
    Construct a Quark from a String.
- Quark (GQuark quark)
    Construct a quark from an existing GQuark.
- Quark (const Quark &src)
    Copy Constructor.
- Quark & operator= (const Quark &src)
    Assignment operator.

Accessors

- operator String () const
    Conversion operator; returns the string associated with the quark.

## Static Public Member Functions

- Quark try_string (const char *str)
    Gets the quark associated with the given string.

## Detailed Description

A GQuark C++ wrapper interface.

Quarks are associations between strings and integer identifiers. Given either the string or the Quark identifier it is possible to retrieve the other. Quarks are used to get and set object properties and used data pointers.

## Constructor & Destructor Documentation

Inti::G::Quark::Quark | ( | const char * | str | ) |

  | Construct a Quark from a string. Parameters:
  str | A string.
Wraps the GQuark identifying the given string. If the string does not currently have an associated GQuark, a new GQuark is created, using a copy of the string.

Inti::G::Quark::Quark | ( | const String & | str | ) |

  | Construct a Quark from a String. Parameters:
  str | A String.
Wraps the GQuark identifying the given string. If the string does not currently have an associated GQuark, a new GQuark is created, using a copy of the string.

Inti::G::Quark::Quark | ( | GQuark | quark | ) |

  | Construct a quark from an existing GQuark. Parameters:
  quark | A GQuark.

Inti::G::Quark::Quark | ( | const Quark & | src | ) |

  | Copy Constructor. Parameters:
  src | The source Quark.

## Member Function Documentation

Quark& Inti::G::Quark::operator= | ( | const Quark & | src | ) |

  | Assignment operator. Parameters:
  src | The source Quark.

Quark Inti::G::Quark::try_string | ( | const char * | str | ) | `[static]`

  | Gets the quark associated with the given string. Parameters:
  str | A string.
Returns: The quark, or null if the string has no associated quark.

The documentation for this class was generated from the following file:

- quark.h

Main Page - Footer